Subject: Re: bug#27157: Building Guile 2.2 "times out"

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 01 Jun 2017 09:06:15 -0700

Hi Ludo and Ricardor,

[email-masked] (Ludovic Courtès) writes:

> Hello,
>
> Ricardo Wurmus <[email-masked]> skribis:
>
>>> I'm not sure where this timeout value can be configured, but clearly it
>>> shouldn't be 1 hour since 2 cores of an i5 intel class processor can't
>>> manage to build it under 1 hour.
>>
>> for the guile-2.2 package I see that this is part of the package
>> definition:
>>
>>     (properties '((timeout . 72000)               ;20 hours
>>                   (max-silent-time . 10800)))     ;3 hours (needed on ARM)
>>
>> We do this so that we can build it on Hydra.
>> You can override the max silent time:
>>
>>     guix build --max-silent-time=9999999 guile
>>
>> Does “guix build” not respect these build properties?
>
> It does not.  Only build-aux/hydra/gnu-system.scm does.

Apparently the problem was due to the build action being triggered as
part of a "guix environment" command. I could launch the command using
"guix build [email-masked]" and it completed successfully.

Guix build doesn't come with default option value for the
max-silent-time, but guix environment does, and it is set to 3600
s. This is defined under (guix scripts environment):

(define %default-options
  `((system . ,(%current-system))
    (substitutes? . #t)
    (graft? . #t)
    (max-silent-time . 3600)
    (verbosity . 0)))

If this is by design, I guess this issue can be closed.

Maxim